---
api: 'Merchant API'
---

# Create a customer (Deprecated)

Create a `customer` that has the information in the body of the request.

:::note
If you wish to save a customer's payment details using any of the available payment methods on the Revolut Checkout Widget ([Revolut Pay](/docs/guides/merchant/accept-payments/online-payments/revolut-pay/introduction), [Card payments](/docs/guides/merchant/accept-payments/online-payments/card-payments/introduction)), you need to meet one of the following requirements:

  - Have a customer object with `email` and assign it to the order by providing `customer.id`
  - Create a new customer with, at least, `customer.email` during [order creation](/docs/api/merchant#create-order)

For more information, see: [Charge a customer's saved payment method](/docs/guides/merchant/optimise-checkout/save-payment-methods/charge-saved-payment-method).
:::

## Endpoint

POST `/api/1.0/customers`

> This endpoint is **deprecated**.

## Request body

### Attributes

- `full_name` (string, optional)
    The full name of the customer.
- `business_name` (string, optional)
    The name of the customer's business.
- `email` (string)
    The email address of the customer.
- `phone` (string, optional)
    The phone number of the customer in [E.164 format](https://en.wikipedia.org/wiki/E.164).
- `date_of_birth` (string, optional)
    The birth date of the customer.

## Returns

### 201

Created

#### Response attributes

- `id` (string)
    Permanent customer ID used to retrieve, update, and delete a customer.
- `full_name` (string, optional)
    The full name of the customer.
- `business_name` (string, optional)
    The name of the customer's business.
- `phone` (string, optional)
    The phone number of the customer in [E.164 format](https://en.wikipedia.org/wiki/E.164).
- `created_at` (string)
    The date and time the customer was created.
- `updated_at` (string)
    The data and time the customer was last updated.
- `email` (string)
    The email address of the customer.
- `date_of_birth` (string, optional)
    The birth date of the customer.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request |
| 401 | Unauthorized |
